      SUBROUTINE assign_ptr( pglobal_tab,  uglobal_tab,  voisin,  nbthd,  &
                             u, utabN, utabE, utabS, utabW, utabAV, utabAR,  &
                             p, ptabN, ptabE, ptabS, ptabW, ptabAV, ptabAR   )
      USE numerics
      IMPLICIT  NONE
      INCLUDE 'comthd.h'
      INCLUDE 'u_comptr.h'
      INCLUDE 'p_comptr.h'
      INTEGER,  INTENT(IN)  ::  nbthd
      INTEGER(ip),  DIMENSION(6, 0:nbthd-1),  INTENT(OUT)  ::  pglobal_tab
      INTEGER(ip),  DIMENSION(6, 0:nbthd-1),  INTENT(OUT)  ::  uglobal_tab
      REAL(rp),  DIMENSION(sx-1:ex+1,sy-1:ey+1,sz-1:ez+1),  INTENT(IN)  ::  u
      REAL(rp),  DIMENSION(sx-1:ex+1,sy-1:ey+1,sz-1:ez+1),  INTENT(IN)  ::  p
      REAL(rp),  DIMENSION(sy:ey,sz:ez),  INTENT(IN)  ::  utabE
      REAL(rp),  DIMENSION(sy:ey,sz:ez),  INTENT(IN)  ::  utabW
      REAL(rp),  DIMENSION(sx:ex,sz:ez),  INTENT(IN)  ::  utabS
      REAL(rp),  DIMENSION(sx:ex,sz:ez),  INTENT(IN)  ::  utabN
      REAL(rp),  DIMENSION(sx:ex,sy:ey),  INTENT(IN)  ::  utabAV
      REAL(rp),  DIMENSION(sx:ex,sy:ey),  INTENT(IN)  ::  utabAR
      REAL(rp),  DIMENSION(sy:ey,sz:ez),  INTENT(IN)  ::  ptabE
      REAL(rp),  DIMENSION(sy:ey,sz:ez),  INTENT(IN)  ::  ptabW
      REAL(rp),  DIMENSION(sx:ex,sz:ez),  INTENT(IN)  ::  ptabS
      REAL(rp),  DIMENSION(sx:ex,sz:ez),  INTENT(IN)  ::  ptabN
      REAL(rp),  DIMENSION(sx:ex,sy:ey),  INTENT(IN)  ::  ptabAV
      REAL(rp),  DIMENSION(sx:ex,sy:ey),  INTENT(IN)  ::  ptabAR
      INTEGER,  PARAMETER  ::  NB_VOISINS  =  6
      INTEGER,  PARAMETER  ::  N=1,  E=2,  S=3,  W=4,  AV=5,  AR=6
      INTEGER,  DIMENSION(NB_VOISINS),  INTENT(IN)  ::  voisin
      END SUBROUTINE assign_ptr
